org.optaplanner.persistence.jackson.api.score

## Class AbstractScoreJacksonJsonDeserializer<Score_ extends Score<Score_>>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<Score_>
  - - org.optaplanner.persistence.jackson.api.score.AbstractScoreJacksonJsonDeserializer<Score_>

- Type Parameters:
    `Score_` - the actual score type
  All Implemented Interfaces:
    com.fasterxml.jackson.databind.deser.NullValueProvider
  Direct Known Subclasses:
    BendableBigDecimalScoreJacksonJsonDeserializer, BendableLongScoreJacksonJsonDeserializer, BendableScoreJacksonJsonDeserializer, HardMediumSoftBigDecimalScoreJacksonJsonDeserializer, HardMediumSoftLongScoreJacksonJsonDeserializer, HardMediumSoftScoreJacksonJsonDeserializer, HardSoftBigDecimalScoreJacksonJsonDeserializer, HardSoftDoubleScoreJacksonJsonDeserializer, HardSoftLongScoreJacksonJsonDeserializer, HardSoftScoreJacksonJsonDeserializer, SimpleBigDecimalScoreJacksonJsonDeserializer, SimpleDoubleScoreJacksonJsonDeserializer, SimpleLongScoreJacksonJsonDeserializer, SimpleScoreJacksonJsonDeserializer

      public abstract class AbstractScoreJacksonJsonDeserializer<Score_ extends Score<Score_>>
      extends com.fasterxml.jackson.databind.JsonDeserializer<Score_>

  Jackson binding support for a `Score` type.

  For example: use `@JsonSerialize(using = HardSoftScoreScoreJacksonJsonSerializer.class) @JsonDeserialize(using = HardSoftScoreJacksonJsonDeserializer.class)` on a `HardSoftScore score` field and it will marshalled to JSON as `"score":"-999hard/-999soft"`.

  See Also:
    `Score`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractScoreJacksonJsonDeserializer()`

  - ### Method Summary

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, deserialize, deserializeWithType, deserializeWithType, findBackReference, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractScoreJacksonJsonDeserializer

          public AbstractScoreJacksonJsonDeserializer()

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.